> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves all price agreements periods

> This operation will return the full list of saved price agreements periods



## OpenAPI

````yaml repricing get /v1/priceagreement/{id}/period
openapi: 3.0.0
info:
  description: Endpoint for supporting repricing
  version: '1'
  title: Repricing API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/
    description: Live environment
security: []
tags:
  - name: Create repricing agreements
    description: Endpoints for creating repricing agreements
  - name: Update repricing agreements
    description: Endpoints for updating repricing agreements
  - name: Get repricing agreements
    description: Endpoints for fetching repricing agreements
  - name: Create price lists
    description: Endpoints for creating price lists
  - name: Update price lists
    description: Endpoints for updating price lists
  - name: Get price lists
    description: Endpoints for fetching price lists
paths:
  /v1/priceagreement/{id}/period:
    get:
      tags:
        - Get repricing agreements
      summary: Retrieves all price agreements periods
      description: >-
        This operation will return the full list of saved price agreements
        periods
      operationId: retrieveAllPriceAgreementPeriodsUsingGET
      parameters:
        - name: id
          in: path
          description: The id of the price agreement to which periods should be fetched
          required: true
          schema:
            type: string
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
        - name: page
          in: query
          description: Current page
          schema:
            type: integer
            default: 0
        - name: size
          in: query
          description: >-
            How many agreement periods should be returned per page, default is
            30. Cannot be more than 100.
          schema:
            type: integer
            default: 30
            minimum: 1
            exclusiveMinimum: false
            maximum: 100
            exclusiveMaximum: false
      responses:
        '200':
          description: Successfully retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/priceAgreementPeriod'
        '401':
          $ref: '#/components/responses/error401'
        '403':
          $ref: '#/components/responses/error403'
        '404':
          $ref: '#/components/responses/error404'
        '500':
          $ref: '#/components/responses/error500'
      deprecated: false
components:
  schemas:
    priceAgreementPeriod:
      allOf:
        - $ref: '#/components/schemas/priceAgreementPeriodBase'
        - properties:
            id:
              type: string
              maxLength: 64
              description: The id of a price agreement period
            priceAgreementId:
              type: string
              maxLength: 64
              description: The primary key of the price agreement
    priceAgreementPeriodBase:
      type: object
      properties:
        lowest:
          type: boolean
          description: >-
            After all logic and repricing, should the lowest price apply. I.E
            the repriced one or the one coming from the merchant.
          default: false
        priceListId:
          type: string
          maxLength: 64
          description: A reference to a price list, using the id of the price list
        code:
          type: string
          maxLength: 64
          description: Product code for this agreement period
        type:
          type: string
          description: Tells which kind of discount calculation that applies
          enum:
            - PER_EACH
            - ABSOLUTE
            - PERCENT
        validFrom:
          type: string
          format: date-time
          description: >-
            The RFC 3339 format date and time from what time the price list
            should be active. Cannot be null
          example: '2022-05-12T13:18:05Z'
        validTo:
          type: string
          format: date-time
          description: >-
            The RFC 3339 format date and time when this price list should stop
            to be active. Cannot be greater than 'validFrom' of any other price
            list with the same 'code'. Can be null, which means this price list
            is active until this field is set
          example: '2022-05-12T13:18:05Z'
        value:
          type: number
          description: >-
            The value connected to the `type` field above. This can be 45.4
            PER_EACH, 5.0 PERCENT etc.
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining reason of error
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
  responses:
    error401:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error403:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error404:
      description: Not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error500:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'

````